[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# EIDEAError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception for IDEA Stream errors.

## Declaration

Source position: idea.pp line 72

`type EIDEAError = class(EStreamError)`

## Inheritance

`EIDEAError` |  | Exception for IDEA Stream errors.
`EStreamError`
`Exception`
`TObject`

## Description

EIDEAError is used to signal errors in the IDEA encryption decryption streams.